#!/bin/bash
 
OLDCONF=$(dpkg -l|grep "^rc"|awk '{print $2}')
CURKERNEL=$(uname -r|sed 's/-*[a-z]//g'|sed 's/-386//g')
LINUXPKG="linux-(image|headers|modules|ubuntu-modules|modules-extra|restricted-modules)"
METALINUXPKG="linux-(image|headers|restricted-modules|)-(generic|i386|server|common|rt|xen)"
OLDKERNELS=$(dpkg -l|awk '{print $2}'|grep -E $LINUXPKG |grep -vE $METALINUXPKG|grep -v $CURKERNEL)
YELLOW="\033[1;33m"
RED="\033[0;31m"
ENDCOLOR="\033[0m"

echo -e $YELLOW"List old config files to remove..."$ENDCOLOR
echo $OLDCONF
echo "----------------------------------------------------------"
echo "----------------------------------------------------------"
echo -e $YELLOW"List old kernels to remove..."$ENDCOLOR
echo $OLDKERNELS
echo
echo -n -e "\e[41mChcete tyto položky odstranit (y/n)? \e[0m "
read answer
if [ "$answer" != "${answer#[Yy]}" ] ;then
    echo -e $YELLOW"Cleaning apt cache:"$ENDCOLOR
    sudo apt-get clean
    echo -e $YELLOW"Removing old config files..."$ENDCOLOR
    sudo dpkg --purge $OLDCONF
    echo -e $YELLOW"Removing old kernels..."$ENDCOLOR
    #sudo aptitude purge $OLDKERNELS
    sudo dpkg --purge $OLDKERNELS
    echo -e $YELLOW"Emptying every trashes..."$ENDCOLOR
    rm -rf /home/*/.local/share/Trash/*/** &> /dev/null
    sudo rm -rf /root/.local/share/Trash/*/** &> /dev/null
else
    echo "Nebyla odstraněna žádná položka"
    echo "Will exit............"
    sleep 10; exit
fi

echo -e $YELLOW"Script Finished!"$ENDCOLOR
exec $SHELL

